Google ceases to support old browsers in August 2011

Largest internet service, Google, will officially stop support for Firefox 3.5, Internet Explorer 7, Safari 3 and its predecessors from 1st of August 2011

No comments yet

Largest internet service, Google, will officially stop support for Firefox 3.5, Internet Explorer 7, Safari 3 and its predecessors from 1st of August 2011. This means that service like Gmail, Google Calendar, Google Talk, Google Docs and others, will not have full functionality or can even become unavailable for older versions of internet browsers.

The reason behind this is company’s intentions to promote HTML5 standards , that are currently not supported by browser versions mentioned above.

Moreover, starting from August the 1st, Google moves to a new supports system: as new browser version is released, it gets supported while the third-oldest versions stop being supported. This rule is true for Chrome, Firefox, Internet Explorer and Safari. Opera is not in the list of supported products.

Source: Google

Ads by Google

Discussion

Leave a Reply